<template name="toolState">
  <button id="toolState" class="btn btn-default btn-xs btn-gtxfvs-tool" title="State">
    <div class="btn-gtxfvs-frame">
      <svg version="1.1"
             xmlns="http://www.w3.org/2000/svg"
             xmlns:xlink="http://www.w3.org/1999/xlink"
             x="0px" y="0px"
             width="32px" height="32px"
             style="enable-background:new 0 0 32 32;"
             xml:space="preserve">

<!--         <defs>
          <path id="textPath"
                d="M 5 25
                   C 20 40, 40 20, 50 10" />
        </defs> -->

        <!-- <use xlink:href="#textPath" fill="none" stroke="red"  /> -->

        <text x="5" y ="7" class="state-text-icon">
          <!-- https://developer.mozilla.org/en-US/docs/Web/SVG/Element/textPath -->
<!--           <textPath xlink:href="#textPath">
            state
          </textPath> -->
          state
        </text>
        <circle cx="18" cy="18" r="7" class="state-icon"/>
      </svg>
    </div>
  </button>
</template>